using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Greed
{
    public class HandleThrow
    {
        public string Who { get; set; }
        public int Score { get; set; }

        private List<Dice> _dices = new List<Dice>();
        int roll;
        public HandleThrow()
        {
            for (int i = 1; i < 7; i++)
            {
                _dices.Add(new Dice());
            }
            roll = 0;
        }

        public void Throw()
        {
            roll += 1;
            Console.WriteLine($"Kast{roll}");
            foreach (Dice dice in _dices)
            {
                if (!dice.Chosen)
                {
                    Console.Write($" {dice.Roll()}");
                }
            }
            Console.WriteLine();
            Console.WriteLine("----------------------");
        }


    }

}
